Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface SingleSelectionModel

All Known Implementing Classes:
  DefaultSingleSelectionModel

    public interface SingleSelectionModel

A model that supports at most one indexed selection.

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Adds listener as a listener to changes in the model.
`void` | `clearSelection()` Clears the selection (to -1).
`int` | `getSelectedIndex()` Returns the model's selection.
`boolean` | `isSelected()` Returns true if the selection model currently has a selected value.
`void` | `removeChangeListener(ChangeListener listener)` Removes listener as a listener to changes in the model.
`void` | `setSelectedIndex(int index)` Sets the model's selected index to index.

Method Detail

### getSelectedIndex

    int getSelectedIndex()

  Returns the model's selection.

  Returns:
    the model's selection, or -1 if there is no selection
  See Also:
    `setSelectedIndex(int)`

### setSelectedIndex

    void setSelectedIndex(int index)

  Sets the model's selected index to index. Notifies any listeners if the model changes

  Parameters:
    `index` - an int specifying the model selection
  See Also:
    `getSelectedIndex()`, `addChangeListener(javax.swing.event.ChangeListener)`

### clearSelection

    void clearSelection()

  Clears the selection (to -1).

### isSelected

    boolean isSelected()

  Returns true if the selection model currently has a selected value.

  Returns:
    true if a value is currently selected

### addChangeListener

    void addChangeListener(ChangeListener listener)

  Adds listener as a listener to changes in the model.

  Parameters:
    `listener` - the ChangeListener to add

### removeChangeListener

    void removeChangeListener(ChangeListener listener)

  Removes listener as a listener to changes in the model.

  Parameters:
    `listener` - the ChangeListener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.